// Per-vertex position information we will pass in.
attribute vec4 a_Position;

// Per-vertex texture coordinate information we will pass in.
attribute vec2 a_TexCoordinate;  		
		   
// This will be passed into the fragment shader.
varying vec2 v_TexCoordinate;   

// The entry point for our vertex shader.
void main() {
	// Pass through
	v_TexCoordinate = a_TexCoordinate;	

    // gl_Position is a special output variable used to pass the position to the
    // fragment shader.
    gl_Position = a_Position;
}